import 'package:flutter/material.dart';
import 'package:get/get.dart';
import '../pages/home_view.dart';
import '../pages/signin_view.dart';
import '../services/appwrite_service.dart';

class LoginController extends GetxController {
  final emailController = TextEditingController();
  final passwordController = TextEditingController();
  final appwriteService = AppwriteService();

  @override
  void onReady() {}

  @override
  void onClose() {
    emailController.dispose();
    passwordController.dispose();
  }

  void login() async {
    var email = emailController.text;
    var password = passwordController.text;
    // Hier können Sie die Login-Logik implementieren
    print('Login mit E-Mail: $email, Passwort: $password');
    var loginSuccess = await appwriteService.login(email, password);
    if (loginSuccess) {
      Get.snackbar(
        'Login erfolgreich',
        'Willkommen zurück!',
        snackPosition: SnackPosition.BOTTOM,
      );
      Get.offAndToNamed(HomePage.namedRoute);
    } else {
      Get.snackbar(
        'Login fehlgeschlagen',
        'Bitte überprüfen Sie Ihre E-Mail und Ihr Passwort und versuchen Sie es erneut.',
        snackPosition: SnackPosition.BOTTOM,
      );
    }
  }

  void goToSignInPage() {
    Get.offAndToNamed(SigninPage.namedRoute);
  }
}
